delete from filter_schema_entry_filter
where filter_schema_id not in ( select filter_schema_id from filter_schema );

delete from entry_filter
where entry_filter_id not in ( select entry_filter_id from filter_schema_entry_filter );

delete from domain_entry_point
where domain_entry_point_id not in ( select domain_entry_point_id from entry_filter);

commit;